View Issue Details

IDProjectCategoryView StatusLast Update
0031400RunnerWindows (YYC)Public2019-10-08 14:01
ReporterScott DunbarAssigned ToRussell Kay 
PriorityMediumSeverityA - Crash/HangReproducibility100%
Status ClosedResolutionFixed 
Product Version2.2.3 
Target Version2.2.4Fixed in Version2.2.4 
Summary0031400: Windows YYC: Failing to provide the correct number of arguments to a script will cause project to crash without error
DescriptionIssue:
 Calling a script that references an argument that is not passed in will cause windows YYC build to crash but will not generate an error report.

The same action on VM produces the error:
  "illegal access of argument, argument is not provided to script"
Steps To Reproduce1. import attached project
2. run project for VM
3. observe error message
4. run project of YYC
5. observe run failure but no appropriate error
TagsNo tags attached.
1.4 Found In
2.x Runtime Found In2.2.3.344
2.x Runtime Verified In2.2.4.364

Activities

Scott Dunbar

2019-10-03 13:34

Adminstrator  

yycArg.yyz (20,667 bytes)

Russell Kay

2019-10-07 14:47

Manager   ~0064919

Fixed in gitlab

Dan

2019-10-08 11:08

Adminstrator   ~0064921

Runtime 364+

Scott Dunbar

2019-10-08 14:01

Adminstrator   ~0064926

Verified fixed